Modify¶
POST /api/v1/field_cfg/{field_uuid}/modify
Overview¶
Modify field management.
Path Parameters¶
| Parameter | Type | Required | Description |
|---|---|---|---|
| field_uuid | string | Y | Field UUID |
Request Body Parameters¶
| Parameter | Type | Required | Description |
|---|---|---|---|
| name | string | Y | Field name. Field names must be unique under the same field source (fieldSource). Allow Null: False Allow Empty String: False Maximum Length: 256 |
| alias | string | Field alias Allow Null: False Allow Empty String: False Maximum Length: 256 |
|
| aliasI18n | object | Field alias in multiple languages. Supported keys: zh/en/zh-hant/id/ja/ko Allow Null: False |
|
| unit | string | Unit information. When fieldType is string, the unit will be cleared. Allow Null: False Maximum Length: 256 Allow Empty String: True |
|
| fieldType | string | Field type Example: time Allow Null: False Allow Empty String: True Allowed Values: ['text', 'int', 'float', 'boolean', 'string', 'long'] |
|
| category | string | Field category. Includes: System Field (selected by default), Business Field, Other Example: system Allow Null: False Allow Empty String: False Allowed Values: ['system', 'business', 'other'] |
|
| fieldSource | string | Field source Example: time Allow Null: False Allow Empty String: True Allowed Values: ['logging', 'object', 'custom_object', 'keyevent', 'tracing', 'rum', 'security', 'network', 'billing'] |
|
| desc | string | Field description Example: Host name Allow Null: False Allow Empty String: True Maximum Length: 3000 |
|
| descI18n | object | Field description in multiple languages. Supported keys: zh/en/zh-hant/id/ja/ko Allow Null: False |
|
| coverInner | boolean | Whether to overwrite when the field name is the same as a built-in system field. true indicates overwrite, false indicates no overwrite. Example: True Allow Null: False |
Additional Parameter Notes¶
Parameter description: Refer to the Create endpoint.
## Request Example
```shell
curl 'https://openapi.guance.com/api/v1/field_cfg/field_0f95016f7254494da088d878ce586477/modify' \
-H 'DF-API-KEY: <DF-API-KEY>' \
-H 'Accept: application/json, text/plain, */*' \
-H 'Accept-Language: zh' \
-H 'Content-Type: application/json;charset=UTF-8' \
--data-raw '{"name":"test_load","alias":"as_load","fieldType":"int","desc":"modify_test","fieldSource":"","unit":"custom/[\"time\",\"ns\"]","coverInner":false}' \
--compressed
Response¶
{"code":200,"content":{"alias":"as_load","aliasEn":"","createAt":1735628856,"creator":"wsak_73a0ad39c352477a9417f633670a0908","declaration":{"business":"","organization":"default_private_organization"},"deleteAt":-1,"desc":"modify_test","descEn":"","fieldSource":"","fieldType":"int","id":1791,"name":"test_load","status":0,"sysField":0,"unit":"custom/[\\"time\\",\\"ns\\"]","updateAt":1735635730.899186,"updator":"wsak_73a0ad39c352477a9417f633670a0908","uuid":"field_0f95016f7254494da088d878ce586477","workspaceUUID":"wksp_05adf2282d0d47f8b79e70547e939617"},"errorCode":"","message":"","success":true,"traceId":"TRACE-D11D56A9-BC80-48D4-903C-550D248204BD"}